Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl
Class PCLRendererContext

    java.lang.Object
      org.apache.fop.render.RendererContext.RendererContextWrapper
          org.apache.fop.render.pcl.PCLRendererContext

    public class PCLRendererContext

extends RendererContext.RendererContextWrapper

Wrapper on the RendererContext to access the information structure for drawing the XML document.

Field Summary

Fields inherited from class org.apache.fop.render.RendererContext.RendererContextWrapper
`context`

Constructor Summary
`PCLRendererContext(RendererContext context)` Main constructor

Method Summary
`boolean` | `isClippingDisabled()`
`boolean` | `isColorCanvas()` Indicates whether an RGB canvas should be used rather than one with grayscales.
`boolean` | `isSourceTransparency()` Indicates whether the background should not be erased prior to painting.
`boolean` | `paintAsBitmap()`
`static PCLRendererContext` | `wrapRendererContext(RendererContext context)` Wrap the render context to allow easier access to its values.

Methods inherited from class org.apache.fop.render.RendererContext.RendererContextWrapper
`getCurrentXPosition, getCurrentYPosition, getForeignAttributes, getHeight, getUserAgent, getWidth, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PCLRendererContext

    public PCLRendererContext(RendererContext context)

  Main constructor

  Parameters:
    `context` - the RendererContent instance

Method Detail

### wrapRendererContext

    public static PCLRendererContext wrapRendererContext(RendererContext context)

  Wrap the render context to allow easier access to its values.

  Parameters:
    `context` - the renderer context
  Returns:
    the PCL-specific renderer context wrapper

### paintAsBitmap

    public boolean paintAsBitmap()

  Returns:
    true if the SVG image should be rendered as a bitmap

### isClippingDisabled

    public boolean isClippingDisabled()

  Returns:
    true if clipping is disabled inside the PCLGraphics2D.

### isSourceTransparency

    public boolean isSourceTransparency()

  Indicates whether the background should not be erased prior to painting.

  Returns:
    true if the background shouldn't be erased

### isColorCanvas

    public boolean isColorCanvas()

  Indicates whether an RGB canvas should be used rather than one with grayscales. This can be used to work around limitations of Apache Batik if you get error while processing SVG graphics. Note, however, that RGB mode will use more memory.

  Returns:
    true if an EGB canvas should be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.